Package twisted :: Package im :: Module pbsupport :: Class PBAccount |
[frames | no frames]

## Class PBAccount

      Versioned --+
                  |
    AbstractAccount --+
                      |
                     PBAccount

Method Summary
| ``__init__`(self, accountName, autoLogin, username, password, host, port, services)`
| `_cbConnected(self, root, chatui)`
| `_cbIdent(self, ident, chatui)`
| `_ebConnected(self, error)`
Deferred `interfaces.IClient` | ``_startLogOn`(self, chatui)` Start the sign on process.
DeferredList of `interfaces.IClient`s | ``logOn`(self, chatui)` Return this breaks with `interfaces.IAccount`
Inherited from AbstractAccount
| ``__getstate__`(self)`
| ``__repr__`(self)`
| ``_cb_logOn`(self, client)`
| ``_clientLost`(self, client, reason)`
Failure | ``_loginFailed`(self, reason)` Errorback for `logOn`.
| ``getGroup`(self, name)` Group factory.
| ``getPerson`(self, name)` Person factory.
| ``isOnline`(self)`
| ``upgrateToVersion2`(self)`
Inherited from Versioned
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Instance Variable Summary
Inherited from AbstractAccount
boolean | `_isConnecting`: Whether I am in the process of establishing a connection to the server.
boolean | `_isOnline`: Whether I am currently on-line with the server.
| `accountName`:
| `autoLogin`:
| `host`:
| `password`:
| `port`:
| `username`:

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.im.interfaces.IAccount ...`
`class` | `_groupFactory` = `twisted.im.pbsupport.TwistedWordsGroup`
`class` | `_personFactory` = `twisted.im.pbsupport.TwistedWordsPerson`
`str` | `gatewayType` = `'PB'`
Inherited from AbstractAccount
`NoneType` | `client` = None
`int` | `persistanceVersion` = 2
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`
`int` | `persistenceVersion` = 1

Method Details

### __init__(self, accountName, autoLogin, username, password, host, port, services=None) (Constructor) Parameters: `username` - The name of your PB Identity. (type=string) Overrides: `twisted.im.basesupport.AbstractAccount.__init__`

### _startLogOn(self, chatui) Start the sign on process. Factored out of `logOn`. Returns: Deferred `interfaces.IClient` Overrides: `twisted.im.basesupport.AbstractAccount._startLogOn` (inherited documentation)

### logOn(self, chatui) Returns: this breaks with `interfaces.IAccount` (type=DeferredList of `interfaces.IClient`s) Overrides: `twisted.im.basesupport.AbstractAccount.logOn`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.im.interfaces.IAccount at 0x85d9cc4>,)

    ### gatewayType Type: `str` Value:
        'PB'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:59 2003 | http://epydoc.sf.net